package wireproto

var (
	// RESPONSE (Complex)
	testMultiResp *Response = &Response{
		Status:          AsciiACK,
		Checksum:        2928197330, // 0xae88bed2
		ProtocolVersion: ProtoVersion,
		RecordGroups: []*ResponseRecordGroup{
			&ResponseRecordGroup{
				Records: []*ResponseRecord{
					&ResponseRecord{
						Pairs: []*FieldValuePair{
							&FieldValuePair{
								Name:  []byte("dataA1"),
								Value: []byte("<arbitrary data>"),
							},
						},
						OriginalRecord: testMultiReq.RecordGroups[0].Records[0],
					},
					&ResponseRecord{
						Pairs: []*FieldValuePair{
							&FieldValuePair{
								Name:  []byte("dataA2"),
								Value: []byte("<arbitrary data>"),
							},
						},
						OriginalRecord: testMultiReq.RecordGroups[0].Records[1],
					},
				},
			},
			&ResponseRecordGroup{
				Records: []*ResponseRecord{
					&ResponseRecord{
						Pairs: []*FieldValuePair{
							&FieldValuePair{
								Name:  []byte("dataB1"),
								Value: []byte("<arbitrary data>"),
							},
						},
						OriginalRecord: testMultiReq.RecordGroups[1].Records[0],
					},
					&ResponseRecord{
						Pairs: []*FieldValuePair{
							&FieldValuePair{
								Name:  []byte("dataB2"),
								Value: []byte("<arbitrary data>"),
							},
						},
						OriginalRecord: testMultiReq.RecordGroups[1].Records[1],
					},
				},
			},
		},
	}
)
