package wireproto

import (
	"errors"
)

var (
	ErrBadCksum        error = errors.New("checksums do not match")
	ErrBadHdr          error = errors.New("a header mismatch occurred")
	ErrBadNumRecords   error = errors.New("the number of child objects does not match the count")
	ErrCustomUnmarshal error = errors.New("an error occurred during custom unmarshaling")
	ErrInvalidNums     error = errors.New("invalid number of results")
	ErrNotEnoughFields error = errors.New("not enough fields/parameters in request")
)
